Subject: 23.1.50; default mode for xml files not correct

From: "Xah Lee" <[email-masked]>
Date: Sun, 16 Aug 2009 19:33:27 -0700

On my Windows emacs, when i open a xml file, the default mode loaded is 
sgml-mode, not nxml.

This is reproducible with Emacs -Q with FSF's binary for Windows.

Since nxml is better, it seems the default should be nxml-mode.

PS here's some tidbits from Lennart.

On Aug 16, 5:49 pm, Lennart Borgman <[email-masked]> wrote:
> On Sat, Aug 15, 2009 at 5:08 PM, Xah Lee<[email-masked]> wrote:
>
> > is this a bug or intentional?
>
> It is one of those unintentional problems that has not got the
> official bug status ;-)
>
> I wrote majmodpri.el (part of nXhtml) to take care of this kind of
> problem and suggested that something like it should be included in
> Emacs. There has not been any positive response to it yet.
>
> The reason I wrote it was that this problem is much more prominent
> when there are multi major modes as an alternative too. (For an xhtml
> file for example you could use html-mode, nxml-mode, html-mumamo-mode,
> nxhtml-mumamo-mode etc.)

I'm not sure how emacs choose modes, or the policies, mechanisms, file 
locations...etc, or what majmodpri.el is supposed to do. Anyway, i thought 
this warrant a bug report for the record. Thanks.

  Xah
∑ http://xahlee.org/

☄